%define	srcver    1.0-pl22

%define	major     1
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Shared libraries for GSM speech compressor
Name:		gsm
Version:	1.0.22
Release:	%mkrel 2
Group:		System/Libraries
License:	distributable
URL:		https://www.quut.com/gsm/
Source0:	https://www.quut.com/gsm/%{name}-%{version}.tar.gz
Patch0:		gsm-1.0.10-dyn.patch
Patch1:		gsm-1.0-pl10-includes.patch
Patch3:		gsm-1.0-pl22-shared.patch
Patch4:		gsm-1.0-pl10-add-includefile.patch

%description
Contains runtime shared libraries for libgsm, an implementation of
the European GSM 06.10 provisional standard for full-rate speech
transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
excitation/long term prediction) coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

%package -n	%{libname}
Summary:	Shared libraries for GSM speech compressor
Group:          System/Libraries

%description -n	%{libname}
Contains runtime shared libraries for libgsm, an implementation of
the European GSM 06.10 provisional standard for full-rate speech
transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
excitation/long term prediction) coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

%package -n	%{develname}
Summary:	Development libraries for a GSM speech compressor
Group:		Development/C
Provides:	%{name}-devel
Provides:	lib%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
Contains header files and development libraries for libgsm, an
implementation of the European GSM 06.10 provisional standard for
full-rate speech transcoding, prI-ETS 300 036, which uses RPE/LTP
(residual pulse excitation/long term prediction) coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

%prep

%setup -q -n %{name}-%{srcver}
%patch -P 0 -p1
%patch -P 1 -p1 -b .includes
%patch -P 3 -p1 -b .shared
%patch -P 4 -p0 -b .add_h_file

%build
%set_build_flags
%make_build

%install
%make_install libdir=%{_libdir}

ln -snf toast %{buildroot}%{_bindir}/untoast
ln -snf toast %{buildroot}%{_bindir}/tcat

# no static files
find %{buildroot} -name "*.a" -delete

# some apps look for this in /usr/include
ln -s gsm/gsm.h %{buildroot}%{_includedir}/gsm.h

%files
%doc COPYRIGHT ChangeLog* README
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/gsm/
%{_includedir}/gsm.h
%{_mandir}/man3/*


%changelog
* Sat Dec 21 2024 pterjan <pterjan> 1.0.22-2.mga10
+ Revision: 2127589
- Rebuild for patchN deprecation

* Fri Sep 29 2023 daviddavid <daviddavid> 1.0.22-1.mga10
+ Revision: 1992187
- new version: 1.0.22
- rediff shared patch

* Tue Mar 15 2022 umeabot <umeabot> 1.0.19-2.mga9
+ Revision: 1792936
- Mageia 9 Mass Rebuild

* Wed Nov 18 2020 luigiwalser <luigiwalser> 1.0.19-1.mga8
+ Revision: 1647113
- 1.0.19

* Thu Feb 13 2020 umeabot <umeabot> 1.0.18-4.mga8
+ Revision: 1512707
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1.0.18-3.mga7
+ Revision: 1298088
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 wally <wally> 1.0.18-2.mga7
+ Revision: 1247228
- create gsm.h symlink to /usr/include/
- drop old obsoletes
- drop static build

* Sat May 19 2018 daviddavid <daviddavid> 1.0.18-1.mga7
+ Revision: 1230458
- new version: 1.0.18
+ kekepower <kekepower>
- Use make_build
+ wally <wally>
- use our build time flags

* Fri Jul 07 2017 luigiwalser <luigiwalser> 1.0.17-1.mga6
+ Revision: 1109379
- 1.0.17
- rediff patch 3

* Fri Nov 11 2016 luigiwalser <luigiwalser> 1.0.16-1.mga6
+ Revision: 1066512
- 1.0.16

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.0.14-1.mga6
+ Revision: 918758
- 1.0.14
- update URL and source URL
- rediff patch 1

* Wed Oct 15 2014 umeabot <umeabot> 1.0.13-9.mga5
+ Revision: 742270
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.13-8.mga5
+ Revision: 679962
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.0.13-7.mga4
+ Revision: 540668
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dlucio <dlucio> 1.0.13-6.mga4
+ Revision: 494173
- rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.13-5.mga3
+ Revision: 352692
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 ahmad <ahmad> 1.0.13-4.mga1
+ Revision: 25872
- drop old/unneeded scriptlets
- imported package gsm

